Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.ant
Class XMLDBExistTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.XMLDBExistTask

All Implemented Interfaces:
  org.apache.tools.ant.taskdefs.condition.Condition

public class XMLDBExistTask
extends AbstractXMLDBTask
implements org.apache.tools.ant.taskdefs.condition.Condition

an ant task to check for the existance of a collection or resource to be used as a ant condition

Author:
  peter.klotz@blue-elephant-systems.com

Constructor Summary
`XMLDBExistTask()`

Method Summary
`boolean` | `eval()`
`void` | `setResource(java.lang.String resource)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDBExistTask

    public XMLDBExistTask()

Method Detail

### eval

    public boolean eval()
                 throws org.apache.tools.ant.BuildException

  Specified by:
    `eval` in interface `org.apache.tools.ant.taskdefs.condition.Condition`
  Returns:
    returns true if the eval is successful.
  Throws:
    `org.apache.tools.ant.BuildException`
  See Also:
    `Condition.eval()`

### setResource

    public void setResource(java.lang.String resource)

  Parameters:
    `resource` -

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.